# Uses of Class
org.eclipse.gef.AccessibleEditPart

Packages that use AccessibleEditPart
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.ui.parts

## Uses of AccessibleEditPart in org.eclipse.gef

Methods in org.eclipse.gef with parameters of type AccessibleEditPart
Modifier and Type
Method
Description
`void`
EditPartViewer.`registerAccessibleEditPart(AccessibleEditPart acc)`
Used for accessibility purposes.
`void`
EditPartViewer.`unregisterAccessibleEditPart(AccessibleEditPart acc)`
Used for accessibility purposes.

## Uses of AccessibleEditPart in org.eclipse.gef.editparts

Subclasses of AccessibleEditPart in org.eclipse.gef.editparts
Modifier and Type
Class
Description
`protected class`
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart`
A default implementation of `AccessibleEditPart`.
Methods in org.eclipse.gef.editparts that return AccessibleEditPart
Modifier and Type
Method
Description
`protected AccessibleEditPart`
AbstractEditPart.`getAccessibleEditPart()`
Returns the `AccessibleEditPart` adapter for this EditPart.

## Uses of AccessibleEditPart in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts with parameters of type AccessibleEditPart
Modifier and Type
Method
Description
`void`
AbstractEditPartViewer.`registerAccessibleEditPart(AccessibleEditPart acc)`
`void`
GraphicalViewerImpl.`registerAccessibleEditPart(AccessibleEditPart acc)`
Registers the accessible editpart with the event dispatcher.
`void`
AbstractEditPartViewer.`unregisterAccessibleEditPart(AccessibleEditPart acc)`
Does nothing by default.
`void`
GraphicalViewerImpl.`unregisterAccessibleEditPart(AccessibleEditPart acc)`